package com.srs.workstudy.mapper;

import java.util.List;

import com.srs.workstudy.domain.QgzxMonthAssess;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 勤工助学月度考核Mapper接口
 *
 * @author srs
 * @date 2024-06-17
 */
public interface QgzxMonthAssessMapper extends BaseMapper<QgzxMonthAssess> {

    List<QgzxMonthAssess> listView(QgzxMonthAssess param);


    /**
     * 查询勤工助学月度考核
     *
     * @param id 勤工助学月度考核主键
     * @return 勤工助学月度考核
     */
    public QgzxMonthAssess selectQgzxMonthAssessById(Long id);

    /**
     * 查询勤工助学月度考核列表
     *
     * @param qgzxMonthAssess 勤工助学月度考核
     * @return 勤工助学月度考核集合
     */
    List<QgzxMonthAssess> selectQgzxMonthAssessList(QgzxMonthAssess qgzxMonthAssess);

    /**
     * 新增勤工助学月度考核
     *
     * @param qgzxMonthAssess 勤工助学月度考核
     * @return 结果
     */
    int insertQgzxMonthAssess(QgzxMonthAssess qgzxMonthAssess);

    /**
     * 修改勤工助学月度考核
     *
     * @param qgzxMonthAssess 勤工助学月度考核
     * @return 结果
     */
    int updateQgzxMonthAssess(QgzxMonthAssess qgzxMonthAssess);

    /**
     * 删除勤工助学月度考核
     *
     * @param id 勤工助学月度考核主键
     * @return 结果
     */
    int deleteQgzxMonthAssessById(Long id);

    /**
     * 批量删除勤工助学月度考核
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQgzxMonthAssessByIds(Long[] ids);
}
